<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::DefaultRaySceneQuery Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1DefaultRaySceneQuery.html">Ogre::DefaultRaySceneQuery</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RaySceneQuery.html#e93bb5dafd039eb08c44cd42215c34c4">clearResults</a>(void)</td><td><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultRaySceneQuery.html#07bab17df4892cfcd7a7b73edc2dee2d">DefaultRaySceneQuery</a>(SceneManager *creator)</td><td><a class="el" href="classOgre_1_1DefaultRaySceneQuery.html">Ogre::DefaultRaySceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultRaySceneQuery.html#f653e97b901d83ccc38446fedf5f9885">execute</a>(RaySceneQueryListener *listener)</td><td><a class="el" href="classOgre_1_1DefaultRaySceneQuery.html">Ogre::DefaultRaySceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RaySceneQuery.html#d5087789b2926c64033a6bc61f78476c">Ogre::RaySceneQuery::execute</a>(void)</td><td><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RaySceneQuery.html#ef129845061d1bdfb9cb92a75c531a63">getLastResults</a>(void)</td><td><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RaySceneQuery.html#f7580c31b2de8c2dd17ecf03e448b8ba">getMaxResults</a>(void) const </td><td><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#a6fb367ec862186fba933d13295b366f">getQueryMask</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#13b381e390f4a38ae3c73cb4e42ef634">getQueryTypeMask</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RaySceneQuery.html#a52c6519f3f41db3c3c710744cf5c29c">getRay</a>(void) const </td><td><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RaySceneQuery.html#d6b5a607a86b67189390c1a9c772b1e8">getSortByDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#dda215d4b5d717b6e09def4d02f445e6">getSupportedWorldFragmentTypes</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#fa48a4dec3b1603e3c579526582a69cb">getWorldFragmentType</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RaySceneQuery.html#37493a877c05ae2cd72c343c037418f9">mMaxResults</a></td><td><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#36c06292c148746a8950b5c3c60b63a7">mParentSceneMgr</a></td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#1ab71f92378d94fc42b48c7bf8d9b5a0">mQueryMask</a></td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#b6bea8046f722f02c27b0c0de794f13d">mQueryTypeMask</a></td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RaySceneQuery.html#549a2d58803cafe0f5c0e36e750e58e6">mRay</a></td><td><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RaySceneQuery.html#6703cadb44854b231a12d4e399d64aab">mResult</a></td><td><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RaySceneQuery.html#90940fd45a737eb1c23d19045a875999">mSortByDistance</a></td><td><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#ab0a829ac0c1ac1045dac7db2320a3c8">mSupportedWorldFragments</a></td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#9cef909c3f78d2e9f3ef44ca8c2cfdaa">mWorldFragmentType</a></td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RaySceneQuery.html#88c9810df53d94b893bc5aef885d14a1">queryResult</a>(MovableObject *obj, Real distance)</td><td><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RaySceneQuery.html#bd5211784dd04e0e0705fe21d43cb900">queryResult</a>(SceneQuery::WorldFragment *fragment, Real distance)</td><td><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RaySceneQuery.html#12314a210a23fe1d729dfabb7fb6a713">RaySceneQuery</a>(SceneManager *mgr)</td><td><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#672e5a9a95f02100b62cd4a6421525d6">SceneQuery</a>(SceneManager *mgr)</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#d392a7fc0b338e5507540d3183f82cfb">setQueryMask</a>(uint32 mask)</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#baca8d4d9b59a571e2d8e9a2cac7ce42">setQueryTypeMask</a>(uint32 mask)</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RaySceneQuery.html#5a96085659aec2c0df9c271f4372a74a">setRay</a>(const Ray &amp;ray)</td><td><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RaySceneQuery.html#32f960cc88fd644922bfc4c58643f993">setSortByDistance</a>(bool sort, ushort maxresults=0)</td><td><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#ec3aa0b8b16c41fae990ee78150f8d2a">setWorldFragmentType</a>(enum WorldFragmentType wft)</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3adeefa0cc2dfd1ec783c2a266ea61f925">WFT_CUSTOM_GEOMETRY</a> enum value</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a6ed287fab168d451beb369009f0fd03b">WFT_NONE</a> enum value</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a667bbec7031e58ab244f9efc32056f38">WFT_PLANE_BOUNDED_REGION</a> enum value</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3ad498944c8c6b81d737c3ceee86881e8d">WFT_RENDER_OPERATION</a> enum value</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a018493b6c87271e0c8ba014f058cffd3">WFT_SINGLE_INTERSECTION</a> enum value</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> enum name</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultRaySceneQuery.html#ee26bdd5505fbcad6a077124810738af">~DefaultRaySceneQuery</a>()</td><td><a class="el" href="classOgre_1_1DefaultRaySceneQuery.html">Ogre::DefaultRaySceneQuery</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RaySceneQuery.html#d7ff2d01587542d02d4132b05ad98895">~RaySceneQuery</a>()</td><td><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RaySceneQueryListener.html#055ea5aff0165926892ad74289d2f73c">~RaySceneQueryListener</a>()</td><td><a class="el" href="classOgre_1_1RaySceneQueryListener.html">Ogre::RaySceneQueryListener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneQuery.html#373ec5891d755ecaac409e2de1e5e54e">~SceneQuery</a>()</td><td><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:05 2008
</p>
</body>
</html>
